org.apache.felix.ipojo.dependency.interceptors

## Interface DependencyInterceptor

All Known Subinterfaces:
  ServiceBindingInterceptor, ServiceRankingInterceptor, ServiceTrackingInterceptor

All Known Implementing Classes:
  ComparatorBasedServiceRankingInterceptor, DefaultDependencyInterceptor, DefaultServiceRankingInterceptor, DefaultServiceTrackingInterceptor, EmptyBasedServiceRankingInterceptor, FilterBasedServiceTrackingInterceptor

    public interface DependencyInterceptor

Dependency interceptor are collaborating with the service dependency during the service resolution. Interceptors publishes a service property (target) to select the dependencies they handle. Notice that interceptor can invalidate the set of service used by a dependency by calling `DependencyModel.invalidateMatchingServices()` and `DependencyModel.invalidateSelectedServices()`.

### Field Summary

Fields
`static java.lang.String` `TARGET_PROPERTY` A mandatory property published by provider of this service.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close(DependencyModel dependency)` The interceptor won't be use anymore by the given dependency.
`void` `open(DependencyModel dependency)` The interceptor is plugged to the given dependency.

### Field Detail

#### TARGET_PROPERTY

    static final java.lang.String TARGET_PROPERTY

A mandatory property published by provider of this service. The value must be a LDAP filter (Filter or String). This filter will be confronted to the dependency property.

See Also:
  `Filter`, Constant Field Values

### Method Detail

#### open

    void open(DependencyModel dependency)

The interceptor is plugged to the given dependency.

Parameters:
  `dependency` - the dependency starting using the interceptor.

#### close

    void close(DependencyModel dependency)

The interceptor won't be use anymore by the given dependency. This method is called either when the interceptor is replace or when the instance's dependency is stopping.

Parameters:
  `dependency` - the dependency stopping its use of the interceptor